<?php

namespace App\Models;

use App\Models\Traits\Filterable;
use App\Models\Traits\SelectOptions;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserOwner extends Model
{
  use HasFactory, Filterable, SelectOptions;

  protected $fillable = [
    'owner_id',
    'user_id',
  ];

  public function owner()
  {
    return $this->belongsTo(User::class, 'owner_id');
  }

  public function user()
  {
    return $this->belongsTo(User::class, 'user_id');
  }
}
